Skip to main content
GET
Get administration PSP transactions

Authorizations

Authorization
string
header
required

OAuth2 access token or static API token. See Authorization for how to obtain one.

Query Parameters

administration_id
string
required

Administration identifier

ids
string

Filter PSP transactions with a comma separated list of internal ids

payment_methods
string

Filter PSP transactions with a comma separated list of payment methods, possible values: afterpay, alipay, amazonpay, applepay, bancomatpay, bacs_direct_debit, bancontact, banktransfer, belfius, billink, bitcoin, capayable, cashly, creditcard, creditclick, direct_debit, eps, focum, giropay, googlepay, ideal, in3, inghomepay, kbc, klarnapaylater, klarnasliceit, maestro, minitix, multibanco, mybank, paybybank, payconiq, payto, paypal, paysafecard, phone_payment, przelewy24, satispay, sofort, spraypay, trustly, twikey, unknown, voucher, wechat

statuses
string

Filter PSP transactions with a comma separated list of statuses, possible values: cancelled, charged_back, failed, paid, pending, processing, refunded

updated_after
string<date-time>

ISO8601 UTC Timestamp to filter records updated after it

fields
string

JSON object defining fields to receive (e.g {"only": ["field1", {"field2": ["field3"]}]})

cursor
string

The record identifier after which to start the page

per_page
integer<int32>
default:100

How many records will be returned per page, (1..500), defaults to 100

Required range: 1 <= x <= 500

Response

Get administration PSP transactions

CustomerApi_PspTransactionsPageEntity model

data
object[]
required

Psp transaction

pagination
object

Pagination details

Last modified on August 13, 2026